## org.apache.solr.client.solrj.request
Class CoreAdminRequest

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.CoreAdminRequest

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CoreAdminRequest.Create, CoreAdminRequest.MergeIndexes, CoreAdminRequest.Persist, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState

    public class CoreAdminRequest

extends SolrRequest

This class is experimental and subject to change.

Since:
  solr 1.3
See Also:
  Serialized Form

Nested Class Summary
`static class` `CoreAdminRequest.Create`
`static class` `CoreAdminRequest.MergeIndexes`
`static class` `CoreAdminRequest.Persist`
`static class` `CoreAdminRequest.RequestRecovery`
`static class` `CoreAdminRequest.RequestSyncShard`
`static class` `CoreAdminRequest.Unload`
`static class` `CoreAdminRequest.WaitForState`

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Field Summary
`protected CoreAdminParams.CoreAdminAction` `action`
`protected String` `core`
`protected String` `other`

Constructor Summary
`CoreAdminRequest()`
`CoreAdminRequest(String path)`

Method Summary
`static CoreAdminResponse` `createCore(String name, String instanceDir, SolrServer server)`
`static CoreAdminResponse` `createCore(String name, String instanceDir, SolrServer server, String configFile, String schemaFile)`
`Collection<ContentStream>` `getContentStreams()`
`SolrParams` `getParams()`
`static CoreAdminResponse` `getStatus(String name, SolrServer server)`
`static CoreAdminResponse` `mergeIndexes(String name, String[] indexDirs, String[] srcCores, SolrServer server)`
`static CoreAdminResponse` `persist(String fileName, SolrServer server)`
`CoreAdminResponse` `process(SolrServer server)`
`static CoreAdminResponse` `reloadCore(String name, SolrServer server)`
`static CoreAdminResponse` `renameCore(String coreName, String newName, SolrServer server)`
`void` `setAction(CoreAdminParams.CoreAdminAction action)`
`void` `setCoreName(String coreName)`
`void` `setOtherCoreName(String otherCoreName)`
`static CoreAdminResponse` `unloadCore(String name, boolean deleteIndex, SolrServer server)`
`static CoreAdminResponse` `unloadCore(String name, SolrServer server)`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### core

    protected String core

### other

    protected String other

### action

    protected CoreAdminParams.CoreAdminAction action

Constructor Detail

### CoreAdminRequest

    public CoreAdminRequest()

### CoreAdminRequest

    public CoreAdminRequest(String path)

Method Detail

### setCoreName

    public final void setCoreName(String coreName)

### setOtherCoreName

    public final void setOtherCoreName(String otherCoreName)

### setAction

    public void setAction(CoreAdminParams.CoreAdminAction action)

### getParams

    public SolrParams getParams()

  Specified by:
    `getParams` in class `SolrRequest`

### getContentStreams

    public Collection<ContentStream> getContentStreams()
                                                throws IOException

  Specified by:
    `getContentStreams` in class `SolrRequest`
  Throws:
    `IOException`

### process

    public CoreAdminResponse process(SolrServer server)
                              throws SolrServerException,
                                     IOException

  Specified by:
    `process` in class `SolrRequest`
  Throws:
    `SolrServerException`
    `IOException`

### reloadCore

    public static CoreAdminResponse reloadCore(String name,
                                               SolrServer server)
                                        throws SolrServerException,
                                               IOException

  Throws:
    `SolrServerException`
    `IOException`

### unloadCore

    public static CoreAdminResponse unloadCore(String name,
                                               SolrServer server)
                                        throws SolrServerException,
                                               IOException

  Throws:
    `SolrServerException`
    `IOException`

### unloadCore

    public static CoreAdminResponse unloadCore(String name,
                                               boolean deleteIndex,
                                               SolrServer server)
                                        throws SolrServerException,
                                               IOException

  Throws:
    `SolrServerException`
    `IOException`

### renameCore

    public static CoreAdminResponse renameCore(String coreName,
                                               String newName,
                                               SolrServer server)
                                        throws SolrServerException,
                                               IOException

  Throws:
    `SolrServerException`
    `IOException`

### getStatus

    public static CoreAdminResponse getStatus(String name,
                                              SolrServer server)
                                       throws SolrServerException,
                                              IOException

  Throws:
    `SolrServerException`
    `IOException`

### createCore

    public static CoreAdminResponse createCore(String name,
                                               String instanceDir,
                                               SolrServer server)
                                        throws SolrServerException,
                                               IOException

  Throws:
    `SolrServerException`
    `IOException`

### createCore

    public static CoreAdminResponse createCore(String name,
                                               String instanceDir,
                                               SolrServer server,
                                               String configFile,
                                               String schemaFile)
                                        throws SolrServerException,
                                               IOException

  Throws:
    `SolrServerException`
    `IOException`

### persist

    public static CoreAdminResponse persist(String fileName,
                                            SolrServer server)
                                     throws SolrServerException,
                                            IOException

  Throws:
    `SolrServerException`
    `IOException`

### mergeIndexes

    public static CoreAdminResponse mergeIndexes(String name,
                                                 String[] indexDirs,
                                                 String[] srcCores,
                                                 SolrServer server)
                                          throws SolrServerException,
                                                 IOException

  Throws:
    `SolrServerException`
    `IOException`